package com.qmth.qrzk.repository.user.model;

import com.qmth.qrzk.repository.utils.Consts;

/**
 * 课程和教材关联关系实体类
 * @author 钟辉
 *
 */
public class CourseBook {
	private int id;					//主键
	
	private int courseId;			//课程id
		
	private int bookId;				//教材id
	
	private String enableDate;		//启用时间
	
	private String disableDate; 	//停用时间
	
	private int status;				//状态

	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	
	public int getCourseId() {
		return courseId;
	}

	public void setCourseId(int courseId) {
		this.courseId = courseId;
	}

	public int getBookId() {
		return bookId;
	}

	public void setBookId(int bookId) {
		this.bookId = bookId;
	}

	public String getEnableDate() {
		return enableDate;
	}

	public void setEnableDate(String enableDate) {
		this.enableDate = enableDate;
	}

	public String getDisableDate() {
		return disableDate;
	}

	public void setDisableDate(String disableDate) {
		this.disableDate = disableDate;
	}

	public int getStatus() {
		return status;
	}
	
	public String getStatusName(){
		return Consts.BookInCourseStatus.dicMap.get(status);
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public int getId() {
		return id;
	}

}
